curl --request POST \
--url https://api.maildiver.com/v1/audiences/{audienceId}/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "suppressionlist+9@simulator.amazonses.com",
"is_subscribed": true,
"first_name": "John",
"last_name": "Doe"
}
'{
"id": "01959faf-16e2-77dd-9585-cd25da58855e"
}Contact
Create contact
Endpoint: v1/audiences/{audienceId}/contacts
Create a new contact in an audience.
curl --request POST \
--url https://api.maildiver.com/v1/audiences/{audienceId}/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "suppressionlist+9@simulator.amazonses.com",
"is_subscribed": true,
"first_name": "John",
"last_name": "Doe"
}
'{
"id": "01959faf-16e2-77dd-9585-cd25da58855e"
}Authorizations
API key with format "Bearer {your-api-key}"
Path Parameters
Unique identifier of the audience
Body
application/json
Contact's email address
Example:
"suppressionlist+9@simulator.amazonses.com"
Whether the contact is subscribed to emails
Example:
true
Contact's first name (1-100 characters)
Required string length:
1 - 100Example:
"John"
Contact's last name (1-100 characters)
Required string length:
1 - 100Example:
"Doe"
Response
Contact successfully created
Was this page helpful?
⌘I